博主呓语:

Linux与TPM2

Posted by 破冰 on 2017-1-5 15:30 Thursday

微软前不久更新了Windows 10 的最低硬件需求,强制性要求硬件必须支持 TPM2(Trusted Platform Module 2),这意味着未来所有的计算机系统都会内置 TPM2 芯片。

这一改变也将会影响 Linux,因为 TPM2 与上一代 TPM1.2 显著不同,Linux 上现有的 TPM1.2 软件都不支持 TPM2。举例来说,TPM1.2 只支持 SHA1 和 RSA2048 算法,而 TPM2 则设计支持尽可能多的加密算法,其中包括椭圆曲线和中国俄罗斯等国政府强制性要求的加密系统。

发表评论: